Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Free_List.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Global_Macros.h"`
`#include "ace/Default_Constants.h"`
`#include "ace/os_include/os_stddef.h"`
`#include "ace/Free_List.cpp"`

Include dependency graph for Free_List.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Free_List< T >
| Implements a free list. More...
class | ACE_Locked_Free_List< T, ACE_LOCK >
| Implements a free list. More...

## Detailed Description

Id
  Free_List.h,v 1.36 2006/02/10 09:49:01 jwillemsen Exp

Author:
  Darrell Brunsch (brunsch@cs.wustl.edu)